.ajax_form .error {
  color: brown;
  border: 1px solid brown !important; }

#msOrder {
  margin-top: 0px !important; }

.jGrowl-notification .jGrowl-close {
  background-color: transparent;
  color: #ffffff;
  border: none;
  z-index: 99;
  float: right;
  font-weight: 700;
  font-size: 1em;
  cursor: pointer;
  padding: 0;
  margin: 0; }

input[engine="hidden"] {
  display: none; }

.filters .row input.amount1 {
  width: 45%;
  float: left;
  margin-right: 5%;
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.15);
  font-size: 14px; }

.filters .row input.amount2 {
  width: 45%;
  float: left;
  margin-left: 5%;
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.15);
  font-size: 14px; }

.pagination li .disabled {
  display: none; }

.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default,
.ui-button,
html .ui-button.ui-state-disabled:hover,
html .ui-button.ui-state-disabled:active {
  border: 2px solid #c21135 !important;
  background: #fff !important;
  font-weight: normal !important;
  color: #454545 !important; }

#mse2_filters .mse2_number_slider {
  height: 0.3em; }

.ui-slider .ui-slider-range {
  background: #c21135; }

.ui-slider-horizontal .ui-slider-handle {
  top: -0.5em !important;
  margin-left: -0.6em !important; }

#mse2_selected {
  background: none !important;
  padding: 0px !important;
  border-radius: 0 !important; }

.columnbuy .buyproduct form {
  width: 100%; }

.promocode .row .mspc_msg.text-danger {
  font-size: 13px;
  color: #c21135;
  font-weight: bold; }

.xlike .xlike__link_active .xlike__svg {
  background-color: #dc143c !important; }

/*.slick-slide img {max-width: none;}*/
.comparison .comparison-total {
  display: -webkit-box !important;
  display: -ms-flexbox !important;
  display: flex !important; }

.comparison.added .comparison-add {
  display: none !important; }

.comparison .comparison-remove {
  display: none !important; }

.comparison.added .comparison-remove {
  display: -webkit-box !important;
  display: -ms-flexbox !important;
  display: flex !important; }

.comparison.added .comparison-remove i {
  color: #dc143c !important; }

a.comparison-link {
  border: 0 !important;
  float: left;
  width: 100%; }

.products.products-compare li .inner .delete {
  display: block !important; }

a.comparison-link.active {
  background: #efefef;
  padding: 5px 10px; }

.table-compare {
  position: relative;
  padding-left: inherit !important; }

.products.products-compare li .inner {
  padding: 20px 0px; }

.table-compare table tbody tr td.comparison-head {
  height: auto; }

#ticketForm .error,
#comment-form span.error {
  display: none; }

#ticketForm .error,
#comment-form .error {
  color: #a52a2a;
  border: 1px solid #a52a2a; }

img.lazy {
  content: initial !important; }

#msMiniCart .empty,
.msMiniCart .empty {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex; }

#msMiniCart .not_empty,
.msMiniCart .not_empty {
  display: none; }

#msMiniCart.full .empty,
.msMiniCart.full .empty {
  display: none; }

#msMiniCart.full .not_empty,
.msMiniCart.full .not_empty {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex; }

.comparison-table .comparison-remove {
  display: block !important;
  position: absolute !important;
  z-index: 5;
  top: 5px;
  content: "";
  right: 12px;
  width: 30px;
  height: 30px;
  background: white !important;
  color: #1a1a1a !important;
  border-radius: 25px;
  font-size: 20px !important;
  color: #dc143c;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15); }

#gototop {
  position: fixed;
  z-index: 59;
  right: 10px;
  bottom: 10px;
  cursor: pointer;
  width: 50px;
  height: 50px;
  display: none;
  border-radius: 50px;
  background: #b2b2b2;
  box-shadow: inset 5px 5px 15px 3px rgba(0, 0, 0, 0.05);
  opacity: 0.9;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  font-size: 10px; }

#gototop i {
  font-size: 24px; }

#gototop:hover {
  background: #dc143c;
  opacity: 0.9;
  color: #ffffff; }

::selection {
  background: #d18095;
  /* Safari */ }

::-moz-selection {
  background: #d18095;
  /* Firefox */ }

select {
  padding: 6px 20px; }

.content .feature .column-no-category {
  width: 50%; }

#termInputII,
#termInputPP {
  width: 100px;
  float: left;
  margin: 0px 10px 10px 0px;
  padding: 0px; }

.prop_select_pp,
.prop_select_ii {
  margin: 3px 0 3px 20px !important; }

.prop_permounth_ii,
.prop_permounth_pp {
  float: left !important;
  width: auto !important;
  padding: 0px 0px;
  margin: 0px !important; }

.prop_permounth_ii span,
.prop_permounth_pp span {
  padding: 0px !important; }

.popup-holder.popup-active-credit {
  overflow: hidden; }

.popup-holder.popup-active-credit .popup-holder-credit-content {
  opacity: 1;
  visibility: visible;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex; }

.popup-holder.popup-active-credit .popup-credit {
  display: block;
  width: 100%;
  min-height: 100vh;
  background: rgba(209, 209, 209, 0.95);
  overflow-y: auto; }

.popup-holder.popup-holder-credit .popup-credit {
  position: fixed;
  top: 0;
  bottom: 0;
  content: "";
  right: 0;
  left: 0;
  padding: 0;
  width: 100%;
  border-radius: 0;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
  padding: 50px; }

.popup-holder.popup-active-credit .popup-credit {
  display: block;
  width: 100%;
  min-height: 100vh;
  background: rgba(209, 209, 209, 0.95);
  overflow-y: auto; }

.popup-holder.popup-holder-credit .popup-credit-content {
  min-height: 100%;
  max-width: 460px;
  margin: 0 auto;
  color: #1a1a1a;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center; }

.credit-link {
  margin: 10px 0px;
  background-color: #00bc52;
  text-align: center;
  color: #fff;
  text-align: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  font-weight: 500;
  padding: 5px; }

.credit-link:hover {
  background-color: #dc143c;
  color: #ffff; }

#ukrcredit-popup {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  margin: 20px 0px; }

#propPP,
#propII,
#propMB {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  margin: 5px 0px; }

.prop_name {
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: center;
  -webkit-box-pack: justify;
          justify-content: space-between;
  -ms-flex-align: center;
  -webkit-box-align: center;
          align-items: center; }

.prop_name img {
  max-width: 37.5px; }

.prop_name span {
  margin: 0px 20px; }

tr.comparison-row.same {
  display: none !important; }

.review-category-output {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap; }

.review-category {
  font-size: 16px;
  border: 1px solid #d9d9d9;
  cursor: pointer;
  padding: 10px;
  margin: 10px 1%;
  float: left;
  width: 48%; }

.review-category .review-category-author {
  float: left;
  font-weight: 400;
  position: relative;
  color: #dc143c;
  width: 100%; }

.review-category .review-category-date {
  float: left;
  font-weight: 500; }

.review-category .review-category-text {
  float: left;
  width: 100%;
  margin-top: 5px; }

.msFavoriterToggle.active a i {
  color: #dc143c !important; }

.block-favorite-item.active {
  display: none; }

.products li.block-favorite-item .inner .delete {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  position: absolute !important;
  z-index: 5;
  top: -15px;
  content: "";
  right: -5px;
  width: 30px;
  height: 30px;
  background: white !important;
  color: #1a1a1a !important;
  border-radius: 25px;
  font-size: 20px !important;
  color: #dc143c;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15); }

div.scroll-wrapper.breadcrumbs {
  min-height: 41px; }

.favoriter-count .favoriter-count-section.active {
  display: none; }

.courier-block {
  display: -webkit-box !important;
  display: -ms-flexbox !important;
  display: flex !important;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: justify !important;
      -ms-flex-pack: justify !important;
          justify-content: space-between !important;
  -webkit-box-orient: vertical !important;
  -webkit-box-direction: normal !important;
      -ms-flex-direction: inherit !important;
          flex-direction: inherit !important; }

.courier-block .building-courier,
.courier-block .room-courier {
  width: 48% !important; }

ul.list-group-logout {
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  box-shadow: inset 5px 5px 15px 3px rgba(0, 0, 0, 0.05);
  padding: 10px;
  border-radius: 5px;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-bottom: 10px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex; }

ul.list-group-logout li {
  width: initial;
  padding: 0;
  margin: 0;
  -ms-flex-wrap: wrap;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center; }

ul.list-group-logout li a {
  padding: 5px 10px;
  border: 2px solid #d1d1d1;
  border-radius: 5px;
  margin: 3px 10px 3px 0;
  color: #000; }

ul.list-group-logout li a:hover {
  cursor: pointer;
  border: 2px solid #c21135; }

ul.list-group-logout li a:hover span {
  color: #c21135; }

ul.list-group-logout li a.active {
  background: #a80f2e;
  border: 2px solid #a80f2e;
  color: #fff; }

ul.list-group-logout li.exit a {
  border: 2px solid #1a1a1a;
  background: #1a1a1a;
  color: #fff;
  padding: 5px 10px;
  border-radius: 5px;
  margin: 3px 10px 3px 0; }

input[type="button"],
input[type="submit"],
input[type="reset"] {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 0 auto;
  padding: 10px 20px;
  color: #dc143c;
  font-weight: 500;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
  border: 0px;
  border-radius: 5px; }

input[type="button"]:hover,
input[type="submit"]:hover,
input[type="reset"]:hover {
  background: #c21135;
  color: #fff;
  cursor: pointer; }

.section-registration .info-login {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between; }

.section-registration form label,
.section-cabinet form label {
  color: #676767;
  display: block;
  margin-bottom: 5px; }

.alert.alert-danger,
.invalid-feedback {
  color: #bf0010;
  display: block;
  font-size: 16px; }

.loader-container-cart {
  display: none;
  width: 100%;
  padding: 0px;
  margin: 0px !important;
  height: 40px;
  position: relative; }

.loader-cart {
  border: 4px solid #f3f3f3;
  border-top: 4px solid #dc143c;
  border-radius: 50%;
  width: 30px !important;
  height: 30px !important;
  -webkit-animation: spin 2s linear infinite;
          animation: spin 2s linear infinite;
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%); }

.choices__inner {
  border: 0px !important;
  box-shadow: 2px 3px 5px 0 rgba(0, 0, 0, 0.1); }

@-webkit-keyframes spin {
  0% {
    -webkit-transform: translate(-50%, -50%) rotate(0deg);
            transform: translate(-50%, -50%) rotate(0deg); }
  100% {
    -webkit-transform: translate(-50%, -50%) rotate(360deg);
            transform: translate(-50%, -50%) rotate(360deg); } }

@keyframes spin {
  0% {
    -webkit-transform: translate(-50%, -50%) rotate(0deg);
            transform: translate(-50%, -50%) rotate(0deg); }
  100% {
    -webkit-transform: translate(-50%, -50%) rotate(360deg);
            transform: translate(-50%, -50%) rotate(360deg); } }

#msOrder .required .required-star {
  display: inline;
  padding: 0px; }

@media (max-width: 767px) {
  .content .feature .column-no-category {
    width: 100%; } }

@media (max-width: 479px) {
  h1,
  .h1 {
    font-size: 21px;
    line-height: 1.2; }
  .section-caption .caption {
    font-size: 19px;
    font-weight: 500;
    margin-right: 50px; }
  #building_courier,
  #room_courier {
    width: 100%;
    margin-left: 0; } }

.form-label {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  color: rgba(0, 0, 0, 0.5);
  font-size: 0.8em;
  margin: 16px 0 4px 0; }

@media (max-width: 767px) {
  .content .feature .column-no-category {
    width: 100%; }
  .content iframe {
    width: 100% !important; } }

#msOrder .required-star {
  color: gray !important; }
  
.footer .footer-caption {
  padding: 0;
  background: transparent;
}
.section-caption .caption {
  background: #ff961a;
}

.products li .inner .text .price-rent-desc {
font-size: 15px;
color: #000;
}

.buyproduct .price-rent-desc {
  font-size: 15px;
  color: #000;
}
  
/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbImVuZ2luZS5jc3MiXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IkFBQ0E7RUFDRSxhQUFhO0VBQ2IsbUNBQW1DLEVBQUU7O0FBRXZDO0VBQ0UsMkJBQTJCLEVBQUU7O0FBRS9CO0VBQ0UsOEJBQThCO0VBQzlCLGVBQWU7RUFDZixhQUFhO0VBQ2IsWUFBWTtFQUNaLGFBQWE7RUFDYixpQkFBaUI7RUFDakIsZUFBZTtFQUNmLGdCQUFnQjtFQUNoQixXQUFXO0VBQ1gsVUFBVSxFQUFFOztBQUVkO0VBQ0UsY0FBYyxFQUFFOztBQUVsQjtFQUNFLFdBQVc7RUFDWCxZQUFZO0VBQ1osaUJBQWlCO0VBQ2pCLDJDQUEyQztFQUMzQyxnQkFBZ0IsRUFBRTs7QUFFcEI7RUFDRSxXQUFXO0VBQ1gsWUFBWTtFQUNaLGdCQUFnQjtFQUNoQiwyQ0FBMkM7RUFDM0MsZ0JBQWdCLEVBQUU7O0FBRXBCO0VBQ0UsY0FBYyxFQUFFOztBQUVsQjs7Ozs7O0VBTUUscUNBQXFDO0VBQ3JDLDRCQUE0QjtFQUM1QiwrQkFBK0I7RUFDL0IsMEJBQTBCLEVBQUU7O0FBRTlCO0VBQ0UsY0FBYyxFQUFFOztBQUVsQjtFQUNFLG9CQUFvQixFQUFFOztBQUV4QjtFQUNFLHVCQUF1QjtFQUN2QiwrQkFBK0IsRUFBRTs7QUFFbkM7RUFDRSw0QkFBNEI7RUFDNUIsd0JBQXdCO0VBQ3hCLDRCQUE0QixFQUFFOztBQUVoQztFQUNFLFlBQVksRUFBRTs7QUFFaEI7RUFDRSxnQkFBZ0I7RUFDaEIsZUFBZTtFQUNmLGtCQUFrQixFQUFFOztBQUV0QjtFQUNFLHFDQUFxQyxFQUFFOztBQUV6Qyx1Q0FBdUM7QUFDdkM7RUFDRSxnQ0FBeUI7RUFBekIsZ0NBQXlCO0VBQXpCLHlCQUF5QixFQUFFOztBQUU3QjtFQUNFLHlCQUF5QixFQUFFOztBQUU3QjtFQUNFLHlCQUF5QixFQUFFOztBQUU3QjtFQUNFLGdDQUF5QjtFQUF6QixnQ0FBeUI7RUFBekIseUJBQXlCLEVBQUU7O0FBRTdCO0VBQ0UsMEJBQTBCLEVBQUU7O0FBRTlCO0VBQ0UscUJBQXFCO0VBQ3JCLFlBQVk7RUFDWixZQUFZLEVBQUU7O0FBRWhCO0VBQ0UsMEJBQTBCLEVBQUU7O0FBRTlCO0VBQ0Usb0JBQW9CO0VBQ3BCLGtCQUFrQixFQUFFOztBQUV0QjtFQUNFLG1CQUFtQjtFQUNuQixpQ0FBaUMsRUFBRTs7QUFFckM7RUFDRSxrQkFBa0IsRUFBRTs7QUFFdEI7RUFDRSxhQUFhLEVBQUU7O0FBRWpCOztFQUVFLGNBQWMsRUFBRTs7QUFFbEI7O0VBRUUsZUFBZTtFQUNmLDBCQUEwQixFQUFFOztBQUU5QjtFQUNFLDRCQUE0QixFQUFFOztBQUVoQzs7RUFFRSxxQkFBYztFQUFkLHFCQUFjO0VBQWQsY0FBYyxFQUFFOztBQUVsQjs7RUFFRSxjQUFjLEVBQUU7O0FBRWxCOztFQUVFLGNBQWMsRUFBRTs7QUFFbEI7O0VBRUUscUJBQWM7RUFBZCxxQkFBYztFQUFkLGNBQWMsRUFBRTs7QUFFbEI7RUFDRSwwQkFBMEI7RUFDMUIsOEJBQThCO0VBQzlCLFdBQVc7RUFDWCxTQUFTO0VBQ1QsWUFBWTtFQUNaLFlBQVk7RUFDWixZQUFZO0VBQ1osYUFBYTtFQUNiLDZCQUE2QjtFQUM3QiwwQkFBMEI7RUFDMUIsb0JBQW9CO0VBQ3BCLDJCQUEyQjtFQUMzQixlQUFlO0VBQ2YsMkNBQTJDO0VBQzNDLDJDQUEyQyxFQUFFOztBQUUvQztFQUNFLGdCQUFnQjtFQUNoQixZQUFZO0VBQ1osWUFBWTtFQUNaLGFBQWE7RUFDYixnQkFBZ0I7RUFDaEIsWUFBWTtFQUNaLGFBQWE7RUFDYixjQUFjO0VBQ2Qsb0JBQW9CO0VBQ3BCLG9CQUFvQjtFQUNwQix1REFBdUQ7RUFDdkQsYUFBYTtFQUNiLDZCQUE2QjtFQUM3Qiw4QkFBOEI7RUFDOUIsMkJBQTJCO0VBQzNCLHVCQUF1QjtFQUN2QixnQkFBZ0IsRUFBRTs7QUFFcEI7RUFDRSxnQkFBZ0IsRUFBRTs7QUFFcEI7RUFDRSxvQkFBb0I7RUFDcEIsYUFBYTtFQUNiLGVBQWUsRUFBRTs7QUFFbkI7RUFDRSxvQkFBb0I7RUFDcEIsWUFBWSxFQUFFOztBQUVoQjtFQUNFLG9CQUFvQjtFQUNwQixhQUFhLEVBQUU7O0FBRWpCO0VBQ0Usa0JBQWtCLEVBQUU7O0FBRXRCO0VBQ0UsV0FBVyxFQUFFOztBQUVmOztFQUVFLGFBQWE7RUFDYixZQUFZO0VBQ1osMEJBQTBCO0VBQzFCLGFBQWEsRUFBRTs7QUFFakI7O0VBRUUsa0NBQWtDLEVBQUU7O0FBRXRDOztFQUVFLHVCQUF1QjtFQUN2Qix1QkFBdUI7RUFDdkIsaUJBQWlCO0VBQ2pCLHVCQUF1QixFQUFFOztBQUUzQjs7RUFFRSx3QkFBd0IsRUFBRTs7QUFFNUI7RUFDRSxpQkFBaUIsRUFBRTs7QUFFckI7RUFDRSxXQUFXO0VBQ1gsb0JBQW9CO0VBQ3BCLG1CQUFtQjtFQUNuQixrQkFBa0I7RUFDbEIsaUJBQWlCO0VBQ2pCLHFCQUFxQjtFQUNyQixxQkFBcUI7RUFDckIsY0FBYyxFQUFFOztBQUVsQjtFQUNFLGVBQWU7RUFDZixZQUFZO0VBQ1osa0JBQWtCO0VBQ2xCLHNDQUFzQztFQUN0QyxpQkFBaUIsRUFBRTs7QUFFckI7RUFDRSxnQkFBZ0I7RUFDaEIsT0FBTztFQUNQLFVBQVU7RUFDVixZQUFZO0VBQ1osU0FBUztFQUNULFFBQVE7RUFDUixXQUFXO0VBQ1gsWUFBWTtFQUNaLGlCQUFpQjtFQUNqQiwyQ0FBMkM7RUFDM0MsY0FBYyxFQUFFOztBQUVsQjtFQUNFLGVBQWU7RUFDZixZQUFZO0VBQ1osa0JBQWtCO0VBQ2xCLHNDQUFzQztFQUN0QyxpQkFBaUIsRUFBRTs7QUFFckI7RUFDRSxpQkFBaUI7RUFDakIsaUJBQWlCO0VBQ2pCLGVBQWU7RUFDZixlQUFlO0VBQ2YsNkJBQTZCO0VBQzdCLDhCQUE4QjtFQUM5QiwyQkFBMkI7RUFDM0IsdUJBQXVCO0VBQ3ZCLG1CQUFtQjtFQUNuQixrQkFBa0I7RUFDbEIsaUJBQWlCO0VBQ2pCLHFCQUFxQjtFQUNyQixxQkFBcUI7RUFDckIsY0FBYztFQUNkLHlCQUF5QjtFQUN6QixzQkFBc0I7RUFDdEIsd0JBQXdCO0VBQ3hCLDBCQUEwQjtFQUMxQix1QkFBdUI7RUFDdkIsb0JBQW9CLEVBQUU7O0FBRXhCO0VBQ0UsaUJBQWlCO0VBQ2pCLDBCQUEwQjtFQUMxQixtQkFBbUI7RUFDbkIsWUFBWTtFQUNaLG1CQUFtQjtFQUNuQix5QkFBd0I7TUFBeEIsc0JBQXdCO1VBQXhCLHdCQUF3QjtFQUN4QixpQkFBaUI7RUFDakIsYUFBYSxFQUFFOztBQUVqQjtFQUNFLDBCQUEwQjtFQUMxQixhQUFhLEVBQUU7O0FBRWpCO0VBQ0UsNkJBQXVCO0VBQXZCLDhCQUF1QjtNQUF2QiwyQkFBdUI7VUFBdkIsdUJBQXVCO0VBQ3ZCLG1CQUFtQjtFQUNuQixrQkFBa0I7RUFDbEIsaUJBQWlCO0VBQ2pCLHFCQUFxQjtFQUNyQixxQkFBcUI7RUFDckIsY0FBYztFQUNkLHlCQUF5QjtFQUN6QixzQkFBc0I7RUFDdEIsd0JBQXdCO0VBQ3hCLDBCQUEwQjtFQUMxQix1QkFBdUI7RUFDdkIsaUJBQWlCLEVBQUU7O0FBRXJCOzs7RUFHRSw2QkFBdUI7RUFBdkIsOEJBQXVCO01BQXZCLDJCQUF1QjtVQUF2Qix1QkFBdUI7RUFDdkIsbUJBQW1CO0VBQ25CLGtCQUFrQjtFQUNsQixpQkFBaUI7RUFDakIscUJBQXFCO0VBQ3JCLHFCQUFxQjtFQUNyQixjQUFjO0VBQ2QseUJBQXlCO0VBQ3pCLHNCQUFzQjtFQUN0Qix3QkFBd0I7RUFDeEIsMEJBQTBCO0VBQzFCLHVCQUF1QjtFQUN2QixnQkFBZ0IsRUFBRTs7QUFFcEI7RUFDRSwrQkFBb0I7RUFBcEIsOEJBQW9CO01BQXBCLHdCQUFvQjtVQUFwQixvQkFBb0I7RUFDcEIsbUJBQW1CO0VBQ25CLGtCQUFrQjtFQUNsQixpQkFBaUI7RUFDakIscUJBQXFCO0VBQ3JCLHFCQUFxQjtFQUNyQixjQUFjO0VBQ2Qsc0JBQXNCO0VBQ3RCLDBCQUErQjtVQUEvQiwrQkFBK0I7RUFDL0IsdUJBQXVCO0VBQ3ZCLDBCQUFvQjtVQUFwQixvQkFBb0IsRUFBRTs7QUFFeEI7RUFDRSxrQkFBa0IsRUFBRTs7QUFFdEI7RUFDRSxpQkFBaUIsRUFBRTs7QUFFckI7RUFDRSx5QkFBeUIsRUFBRTs7QUFFN0I7RUFDRSxxQkFBYztFQUFkLHFCQUFjO0VBQWQsY0FBYztFQUNkLG9CQUFnQjtNQUFoQixnQkFBZ0IsRUFBRTs7QUFFcEI7RUFDRSxnQkFBZ0I7RUFDaEIsMEJBQTBCO0VBQzFCLGdCQUFnQjtFQUNoQixjQUFjO0VBQ2QsZ0JBQWdCO0VBQ2hCLFlBQVk7RUFDWixXQUFXLEVBQUU7O0FBRWY7RUFDRSxZQUFZO0VBQ1osaUJBQWlCO0VBQ2pCLG1CQUFtQjtFQUNuQixlQUFlO0VBQ2YsWUFBWSxFQUFFOztBQUVoQjtFQUNFLFlBQVk7RUFDWixpQkFBaUIsRUFBRTs7QUFFckI7RUFDRSxZQUFZO0VBQ1osWUFBWTtFQUNaLGdCQUFnQixFQUFFOztBQUVwQjtFQUNFLDBCQUEwQixFQUFFOztBQUU5QjtFQUNFLGNBQWMsRUFBRTs7QUFFbEI7RUFDRSxxQkFBYztFQUFkLHFCQUFjO0VBQWQsY0FBYztFQUNkLDBCQUFvQjtNQUFwQix1QkFBb0I7VUFBcEIsb0JBQW9CO0VBQ3BCLHlCQUF3QjtNQUF4QixzQkFBd0I7VUFBeEIsd0JBQXdCO0VBQ3hCLDhCQUE4QjtFQUM5QixXQUFXO0VBQ1gsV0FBVztFQUNYLFlBQVk7RUFDWixZQUFZO0VBQ1osWUFBWTtFQUNaLGFBQWE7RUFDYiw2QkFBNkI7RUFDN0IsMEJBQTBCO0VBQzFCLG9CQUFvQjtFQUNwQiwyQkFBMkI7RUFDM0IsZUFBZTtFQUNmLDJDQUEyQztFQUMzQywyQ0FBMkMsRUFBRTs7QUFFL0M7RUFDRSxpQkFBaUIsRUFBRTs7QUFFckI7RUFDRSxjQUFjLEVBQUU7O0FBRWxCO0VBQ0UsZ0NBQXlCO0VBQXpCLGdDQUF5QjtFQUF6Qix5QkFBeUI7RUFDekIsb0JBQWdCO01BQWhCLGdCQUFnQjtFQUNoQixxQ0FBMEM7TUFBMUMsa0NBQTBDO1VBQTFDLDBDQUEwQztFQUMxQyx3Q0FBbUM7RUFBbkMseUNBQW1DO01BQW5DLHVDQUFtQztVQUFuQyxtQ0FBbUMsRUFBRTs7QUFFdkM7O0VBRUUsc0JBQXNCLEVBQUU7O0FBRTFCO0VBQ0UsK0JBQStCO0VBQy9CLDhCQUE4QjtFQUM5Qix3QkFBd0I7RUFDeEIsb0JBQW9CO0VBQ3BCLHVEQUF1RDtFQUN2RCxjQUFjO0VBQ2QsbUJBQW1CO0VBQ25CLG9CQUFvQjtFQUNwQixnQkFBZ0I7RUFDaEIsb0JBQW9CO0VBQ3BCLHFCQUFjO0VBQWQscUJBQWM7RUFBZCxjQUFjLEVBQUU7O0FBRWxCO0VBQ0UsZUFBZTtFQUNmLFdBQVc7RUFDWCxVQUFVO0VBQ1Ysb0JBQW9CO0VBQ3BCLHFCQUFjO0VBQWQscUJBQWM7RUFBZCxjQUFjO0VBQ2QseUJBQXlCO0VBQ3pCLHNCQUFzQjtFQUN0Qix3QkFBd0I7RUFDeEIsMEJBQTBCO0VBQzFCLHVCQUF1QjtFQUN2QixvQkFBb0IsRUFBRTs7QUFFeEI7RUFDRSxrQkFBa0I7RUFDbEIsMEJBQTBCO0VBQzFCLG1CQUFtQjtFQUNuQix1QkFBdUI7RUFDdkIsWUFBWSxFQUFFOztBQUVoQjtFQUNFLGdCQUFnQjtFQUNoQiwwQkFBMEIsRUFBRTs7QUFFOUI7RUFDRSxlQUFlLEVBQUU7O0FBRW5CO0VBQ0Usb0JBQW9CO0VBQ3BCLDBCQUEwQjtFQUMxQixZQUFZLEVBQUU7O0FBRWhCO0VBQ0UsMEJBQTBCO0VBQzFCLG9CQUFvQjtFQUNwQixZQUFZO0VBQ1osa0JBQWtCO0VBQ2xCLG1CQUFtQjtFQUNuQix1QkFBdUIsRUFBRTs7QUFFM0I7OztFQUdFLHFCQUFjO0VBQWQscUJBQWM7RUFBZCxjQUFjO0VBQ2QseUJBQXlCO0VBQ3pCLHNCQUFzQjtFQUN0Qix3QkFBd0I7RUFDeEIsMEJBQTBCO0VBQzFCLHVCQUF1QjtFQUN2QixvQkFBb0I7RUFDcEIsZUFBZTtFQUNmLG1CQUFtQjtFQUNuQixlQUFlO0VBQ2YsaUJBQWlCO0VBQ2pCLDJDQUEyQztFQUMzQyxZQUFZO0VBQ1osbUJBQW1CLEVBQUU7O0FBRXZCOzs7RUFHRSxvQkFBb0I7RUFDcEIsWUFBWTtFQUNaLGdCQUFnQixFQUFFOztBQUVwQjtFQUNFLHFCQUFjO0VBQWQscUJBQWM7RUFBZCxjQUFjO0VBQ2QsK0JBQW9CO0VBQXBCLDhCQUFvQjtNQUFwQix3QkFBb0I7VUFBcEIsb0JBQW9CO0VBQ3BCLDBCQUErQjtNQUEvQix1QkFBK0I7VUFBL0IsK0JBQStCLEVBQUU7O0FBRW5DOztFQUVFLGVBQWU7RUFDZixlQUFlO0VBQ2YsbUJBQW1CLEVBQUU7O0FBRXZCOztFQUVFLGVBQWU7RUFDZixlQUFlO0VBQ2YsZ0JBQWdCLEVBQUU7O0FBRXBCO0VBQ0UsY0FBYztFQUNkLFlBQVk7RUFDWixhQUFhO0VBQ2IsdUJBQXVCO0VBQ3ZCLGFBQWE7RUFDYixtQkFBbUIsRUFBRTs7QUFFdkI7RUFDRSwwQkFBMEI7RUFDMUIsOEJBQThCO0VBQzlCLG1CQUFtQjtFQUNuQix1QkFBdUI7RUFDdkIsd0JBQXdCO0VBQ3hCLDJDQUFtQztVQUFuQyxtQ0FBbUM7RUFDbkMsY0FBYztFQUNkLG1CQUFtQjtFQUNuQixTQUFTO0VBQ1QsVUFBVTtFQUNWLHlDQUFpQztNQUFqQyxxQ0FBaUM7VUFBakMsaUNBQWlDLEVBQUU7O0FBRXJDO0VBQ0UsdUJBQXVCO0VBQ3ZCLDZDQUE2QyxFQUFFOztBQUVqRDtFQUNFO0lBQ0Usc0RBQThDO1lBQTlDLDhDQUE4QyxFQUFFO0VBQ2xEO0lBQ0Usd0RBQWdEO1lBQWhELGdEQUFnRCxFQUFFLEVBQUU7O0FBSnhEO0VBQ0U7SUFDRSxzREFBOEM7WUFBOUMsOENBQThDLEVBQUU7RUFDbEQ7SUFDRSx3REFBZ0Q7WUFBaEQsZ0RBQWdELEVBQUUsRUFBRTs7QUFFeEQ7RUFDRSxnQkFBZ0I7RUFDaEIsYUFBYSxFQUFFOztBQUVqQjtFQUNFO0lBQ0UsWUFBWSxFQUFFLEVBQUU7O0FBRXBCO0VBQ0U7O0lBRUUsZ0JBQWdCO0lBQ2hCLGlCQUFpQixFQUFFO0VBQ3JCO0lBQ0UsZ0JBQWdCO0lBQ2hCLGlCQUFpQjtJQUNqQixtQkFBbUIsRUFBRTtFQUN2Qjs7SUFFRSxZQUFZO0lBQ1osZUFBZSxFQUFFLEVBQUU7O0FBRXZCO0VBQ0UscUJBQXFCO0VBQ3JCLHFCQUFxQjtFQUNyQixjQUFjO0VBQ2QsMEJBQTBCO0VBQzFCLGlCQUFpQjtFQUNqQixxQkFBcUIsRUFBRTs7QUFFekI7RUFDRTtJQUNFLFlBQVksRUFBRTtFQUNoQjtJQUNFLHVCQUF1QixFQUFFLEVBQUU7O0FBRS9CO0VBQ0UsdUJBQXVCLEVBQUUiLCJmaWxlIjoiZW5naW5lLmNzcyJ9 */